featAssayPlotDefaults {iSEE} | R Documentation

## Feature assay plot defaults

### Description

Create default settings for feature assay plot panels in the iSEE interface.

### Usage

    featAssayPlotDefaults(se, number)

### Arguments

`se` | A SummarizedExperiment object.
`number` | An integer scalar, specifying the maximum number of feature assay plots that can be added to the interface.

### Details

Parameters available to feature assay plots are:

`YAxisFeatName`:

  Integer, the index of the feature for which to show the expression on the y-axis if `YAxis="Feature name"`. Defaults to 1, i.e., the first feature in `se`. Alternatively, a string can be supplied containing the name of the feature, i.e., the row name.

`YAxisRowTable`:

  Character, what row statistics table should be used to choose a feature to display on the y-axis? Any setting will override `YAxisFeatName` with the selected row in the chosen table upon initialization of the app. Defaults to `"---"`, which means that no table will be used.

`Assay`:

  Integer, which assay should be used to supply the expression values shown on the y-axis? Defaults to 1, i.e., the first assay in `se`. Alternatively, a string can also be supplied containing the name of the assay, if `assays(se)` has names.

`XAxis`:

  Character, what type of variable should be shown on the x-axis? Defaults to `"None"`, but can also be `"Row table"`, `"Column data"` or `"Feature name"`.

`XAxisColData`:

  Character, what column of `colData(se)` should be shown on the x-axis if `XAxis="Column data"`? Defaults to the first entry of `colData(se)`.

`XAxisFeatName`:

  Integer, the index of the feature for which to show the expression on the x-axis if `XAxis="Feature name"`. Defaults to 1, i.e., the first feature in `se`. Alternatively, a string can be supplied containing the name of the feature.

`XAxisRowTable`:

  Character, which row statistic table should be used to choose a feature to put on the x-axis if `XAxis="Row table"`? Any setting will override `XAxisFeatName` with the selected row in the chosen table upon initialization of the app. Defaults to `"---"`, which means that no table will be used.

All column-based parameters described in `?"iSEE point parameters"` are applicable. All plot-based parameters described in `?"iSEE selection parameters"` are applicable.

### Value

A DataFrame containing default settings for parameters of each of `number` feature assay panels.

### Author(s)

Aaron Lun

### See Also

`?"iSEE point parameters"`, `?"iSEE selection parameters"`

### Examples

    example(SingleCellExperiment, echo=FALSE) # mock up 'sce'.
    featAssayPlotDefaults(sce, n=1)

[Package iSEE version 1.6.1 Index]